# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

%bcond_with opencl
%bcond_without osmesa
%bcond_without osmesa_gallium
%bcond_with va
%bcond_without vdpau
%bcond_without wayland
%{?build_selinux}%{?!build_selinux:%bcond_with selinux}

# Direct3D9 state tracker ("nine")
%bcond_without nine

# Vulkan
%bcond_without vulkan
%define vulkan_drivers --with-vulkan-drivers=intel,radeon


%ifarch %{arm}
%define dri_drivers "swrast,nouveau,r200,radeon"
%else
%define dri_drivers "swrast,i915,i965,nouveau,r200,radeon"
%bcond_without vmware
%endif

%define gallium_drivers r300,r600,radeonsi,nouveau,svga,swrast,virgl


Summary:	OpenGL-compatible 3D graphics library
Name:		mesa
Version:	13.0.6
Release:	1
License:	MIT
Group:		System/Libraries
Url:		http://www.mesa3d.org
Source0:	ftp://ftp.freedesktop.org/pub/mesa/%{version}/mesa-%{version}.tar.xz
Source1:	mesa.rpmlintrc
Source3:	make-git-snapshot.sh

Patch1:		mesa-9.2-hardware-float.patch
Patch2:		mesa-11.2-evergreen-big-endian.patch

Patch101:       Revert-i915-Always-enable-GL-2.0-support.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gccmakedep
BuildRequires:	libxml2-python
BuildRequires:	makedepend
BuildRequires:	elfutils-devel
BuildRequires:	llvm-devel >= 3.5.0
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libdrm) >= 2.4.68
%if %{with va}
BuildRequires:	pkgconfig(libva)
%endif
BuildRequires:	pkgconfig(talloc)
%if %{with vdpau}
BuildRequires:	pkgconfig(vdpau)
%endif
%if %{with wayland}
BuildRequires:	pkgconfig(wayland-client)
%endif
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(xvmc)
BuildRequires:	pkgconfig(xxf86vm)
# Needed to build with support for DRI2 and DRI3 X11 extensions.
BuildRequires:	pkgconfig(dri2proto)
BuildRequires:	pkgconfig(dri3proto)
BuildRequires:	pkgconfig(xshmfence)
BuildRequires:	pkgconfig(xcb-dri3)
BuildRequires:	pkgconfig(xcb-present)
%if %{with selinux}
BuildRequires:	libselinux-devel
%endif
%if %{with vulkan}
BuildRequires:	vulkan-devel
# for SHA1 implementation from libnettle:
BuildRequires:	pkgconfig(nettle)
# [NB] Why not libcrypto & openssl? That is why:
# https://github.com/ValveSoftware/steam-for-linux/issues/4504
%endif

# [NB] Do not mark it noarch, otherwise rpm will be confused on where 
# to store debuginfo for the subpackages (all debug info should be stored
# in mesa-debuginfo).

# Mesa 10.x does not provide dricore library anymore. The DRI drivers now
# get what they need some other way (see also mesa repo, 
# commit dde9260fdc1fb6792df24a4790ea1c255ad9284a, 
# "mesa: Remove dricore from the build")
# 
# We need these obsoletes in case someone is updating the system from 
# ROSA R3 or ROSA 2012 LTS, etc.
%define dricoremajor 1
%define libdricore %mklibname dricore %{dricoremajor}
%define devdricore %mklibname dricore -d
Obsoletes:	%{libdricore} < %{EVRD}
Obsoletes:	%{devdricore} < %{EVRD}

%description
Mesa is an OpenGL compatible 3D graphics library. This particular package 
contains no libraries but rather the common files.

%files
%doc docs/README.*
%config(noreplace) %{_sysconfdir}/drirc

#----------------------------------------------------------------------------

%define dridrivers %mklibname dri-drivers

%package -n %{dridrivers}
Summary:	Mesa DRI drivers
Group:		System/Libraries

%description -n %{dridrivers}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the DRI drivers and also the experimental back-ends for the
vdpau and xvmc state trackers.

%files -n %{dridrivers}
%dir %{_libdir}/dri
%{_libdir}/dri/i915_dri.so
%{_libdir}/dri/i965_dri.so
%{_libdir}/dri/nouveau_dri.so
%{_libdir}/dri/nouveau_vieux_dri.so
%{_libdir}/dri/r200_dri.so
%{_libdir}/dri/r300_dri.so
%{_libdir}/dri/r600_dri.so
%{_libdir}/dri/radeon_dri.so
%{_libdir}/dri/radeonsi_dri.so
%{_libdir}/dri/swrast_dri.so
%{_libdir}/dri/kms_swrast_dri.so
%{_libdir}/dri/vmwgfx_dri.so
%{_libdir}/dri/virtio_gpu_dri.so
%if %{with va}
%{_libdir}/dri/gallium_drv_video.so
%endif
# xvmc state tracker backends
%{_libdir}/libXvMCnouveau.so.*
%{_libdir}/libXvMCr600.so.*
%{_libdir}/libXvMCgallium.so.*
# vdpau state tracker backends
%{_libdir}/vdpau/libvdpau_nouveau.so.*
%{_libdir}/vdpau/libvdpau_r600.so.*
%{_libdir}/vdpau/libvdpau_r300.so.*
%{_libdir}/vdpau/libvdpau_radeonsi.so.*

# XvMC and VDPAU are no longer supported for softpipe, see the commits 
# 7c253184, 5f7233c8 and a few other in mesa git repo. For r300, VDPAU 
# support has been re-enabled.
#----------------------------------------------------------------------------

%define glmajor 1
%define libgl %mklibname gl %{glmajor}

%package -n %{libgl}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries
Requires:	%{dridrivers} = %{EVRD}
Suggests:	%mklibname txc-dxtn
# Needed in case someone updates the system from ROSA 2012 LTS
Provides:	libmesagl = %{EVRD}
%rename		%{_lib}mesagl1

%description -n %{libgl}
Mesa is an OpenGL compatible 3D graphics library: GL
and GLX parts.

%files -n %{libgl}
%{_libdir}/libGL.so.%{glmajor}*
%dir %{_libdir}/mesa
%{_libdir}/mesa/libGL.so.%{glmajor}*

#----------------------------------------------------------------------------

%define devgl %mklibname gl -d

%package -n %{devgl}
Summary:	Development files for Mesa (OpenGL compatible 3D lib)
Group:		Development/C
Requires:	%{libgl} = %{EVRD}
%rename		%{_lib}mesagl1-devel

%description -n %{devgl}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile Mesa programs.

%files -n %{devgl}
%{_includedir}/GL/gl.h
%{_includedir}/GL/gl_mangle.h
%{_includedir}/GL/glext.h
%{_includedir}/GL/glx.h
%{_includedir}/GL/glxext.h
%{_includedir}/GL/glx_mangle.h
%if !%{with osmesa}
%{_includedir}/GL/osmesa.h
%endif
%{_libdir}/libGL.so
%{_libdir}/libXvMC*.so
%{_libdir}/pkgconfig/gl.pc
%{_libdir}/pkgconfig/dri.pc
%{_includedir}/GL/glcorearb.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/dri_interface.h

#----------------------------------------------------------------------------

%define eglmajor 1
%define libegl %mklibname egl %{eglmajor}

%package -n %{libegl}
Summary:	Files for Mesa (EGL libs)
Group:		System/Libraries
%rename		%{_lib}mesaegl1

%description -n %{libegl}
Mesa is an OpenGL compatible 3D graphics library: EGL
parts.

%files -n %{libegl}
%{_libdir}/libEGL.so.%{eglmajor}*

#----------------------------------------------------------------------------

%define devegl %mklibname egl -d

%package -n %{devegl}
Summary:	Development files for Mesa (EGL libs)
Group:		Development/C
Requires:	%{libegl} = %{EVRD}
%rename		%{_lib}mesaegl1-devel

%description -n %{devegl}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile Mesa programs based on EGL.

%files -n %{devegl}
%{_includedir}/EGL
%{_includedir}/KHR
%{_libdir}/libEGL.so
%{_libdir}/pkgconfig/egl.pc

#----------------------------------------------------------------------------

%define gbmmajor 1
%define libgbm %mklibname gbm %{gbmmajor}

%package -n %{libgbm}
Summary:	Files for Mesa (gbm libs)
Group:		System/Libraries

%description -n %{libgbm}
Mesa is an OpenGL compatible 3D graphics library: GBM
(Graphics Buffer Manager) parts.

%files -n %{libgbm}
%{_libdir}/libgbm.so.%{gbmmajor}*

#----------------------------------------------------------------------------

%define devgbm %mklibname gbm -d

%package -n %{devgbm}
Summary:	Development files for Mesa (gbm libs)
Group:		Development/C
Requires:	%{libgbm} = %{EVRD}
# libudev-devel is needed for development with gbm libs.
Requires:	pkgconfig(libudev)

%description -n %{devgbm}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile Mesa programs based on GBM
(Graphics Buffer Manager).

%files -n %{devgbm}
%{_includedir}/gbm.h
%{_libdir}/libgbm.so
%{_libdir}/pkgconfig/gbm.pc

#----------------------------------------------------------------------------

%define glesv1major 1
%define libglesv1 %mklibname glesv1_ %{glesv1major}

%package -n %{libglesv1}
Summary:	Files for Mesa (glesv1 libs)
Group:		System/Libraries
%rename		%{_lib}mesaglesv1_1

%description -n %{libglesv1}
Mesa is an OpenGL compatible 3D graphics library:
OpenGL ES library version 1 parts. OpenGL ES is a low-level, lightweight API
for advanced embedded graphics using well-defined subset profiles of OpenGL.

%files -n %{libglesv1}
%{_libdir}/libGLESv1_CM.so.%{glesv1major}*

#----------------------------------------------------------------------------

%define devglesv1 %mklibname glesv1 -d

%package -n %{devglesv1}
Summary:	Development files for glesv1 libs
Group:		Development/C
Requires:	%{libglesv1} = %{EVRD}
%rename		%{_lib}mesaglesv1_1-devel

%description -n %{devglesv1}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile OpenGL ES 1 programs.

%files -n %{devglesv1}
%{_includedir}/GLES
%{_libdir}/libGLESv1_CM.so
%{_libdir}/pkgconfig/glesv1_cm.pc

#----------------------------------------------------------------------------

%define glesv2major 2
%define libglesv2 %mklibname glesv2_ %{glesv2major}

%package -n %{libglesv2}
Summary:	Files for Mesa (glesv2 libs)
Group:		System/Libraries
%rename		%{_lib}mesaglesv2_2

%description -n %{libglesv2}
Mesa is an OpenGL compatible 3D graphics library:
OpenGL ES library version 2 parts. OpenGL ES is a low-level, lightweight API
for advanced embedded graphics using well-defined subset profiles of OpenGL.

%files -n %{libglesv2}
%{_libdir}/libGLESv2.so.%{glesv2major}*

#----------------------------------------------------------------------------

%define devglesv2 %mklibname glesv2 -d

%package -n %{devglesv2}
Summary:	Development files for glesv2 libs
Group:		Development/C
Requires:	%{libglesv2} = %{EVRD}
%rename		%{_lib}mesaglesv2_2-devel

%description -n %{devglesv2}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile OpenGL ES 2 programs.

%files -n %{devglesv2}
%{_includedir}/GLES2
%{_libdir}/libGLESv2.so
%{_libdir}/pkgconfig/glesv2.pc

#----------------------------------------------------------------------------

%define devglesv3 %mklibname glesv3 -d

%package -n %{devglesv3}
Summary:	Development files for glesv3 libs
Group:		Development/C
# there is no pkgconfig
Provides:	glesv3-devel = %{version}-%{release}

%description -n %{devglesv3}
This package contains the headers needed to compile OpenGL ES 3 programs.

%files -n %{devglesv3}
%{_includedir}/GLES3
#----------------------------------------------------------------------------

%define glapimajor 0
%define libglapi %mklibname glapi %{glapimajor}

%package -n %{libglapi}
Summary:	Files for Mesa (glapi libs)
Group:		System/Libraries

%description -n %{libglapi}
Mesa is an OpenGL compatible 3D graphics library. This
package provides the glapi shared library used by gallium drivers.

%files -n %{libglapi}
%{_libdir}/libglapi.so.%{glapimajor}*

#----------------------------------------------------------------------------

%define devglapi %mklibname glapi -d

%package -n %{devglapi}
Summary:	Development files for glapi libs
Group:		Development/C
Requires:	%{libglapi} = %{EVRD}
Provides:	glapi-devel = %{EVRD}

%description -n %{devglapi}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile programs against glapi shared
library.

%files -n %{devglapi}
%{_libdir}/libglapi.so

#----------------------------------------------------------------------------

%define xamajor 2
%define libxatracker %mklibname xatracker %{xamajor}
%define devxatracker %mklibname xatracker -d

%package -n %{libxatracker}
Summary:	Mesa XA state tracker
Group:		System/Libraries

%description -n %{libxatracker}
This package contains Mesa XA state tracker.

%files -n %{libxatracker}
%{_libdir}/libxatracker.so.%{xamajor}*

#----------------------------------------------------------------------------

%package -n %{devxatracker}
Summary:	Development files for XA state tracker
Group:		Development/C
Requires:	%{libxatracker} = %{EVRD}

%description -n %{devxatracker}
This package contains the development files for the Mesa XA state tracker.

%files -n %{devxatracker}
%{_includedir}/xa_*.h
%{_libdir}/libxatracker.so
%{_libdir}/pkgconfig/xatracker.pc

#----------------------------------------------------------------------------

%define d3dmajor 1
%define libd3dtracker %mklibname d3dtracker %{d3dmajor}
%define devd3dtracker %mklibname d3dtracker -d

%package -n %{libd3dtracker}
Summary:	Mesa Direct3D9 state tracker
Group:		System/Libraries

%description -n %{libd3dtracker}
This package contains Mesa Direct3D9 ("nine") state tracker.

%files -n %{libd3dtracker}
%dir %{_libdir}/d3d
%{_libdir}/d3d/d3dadapter9.so.%{d3dmajor}*

#----------------------------------------------------------------------------

%package -n %{devd3dtracker}
Summary:	Development files for Direct3D9 state tracker
Group:		Development/C
Requires:	%{libd3dtracker} = %{EVRD}

%description -n %{devd3dtracker}
This package contains the development files for the Mesa Direct3D9 ("nine")
state tracker.

%files -n %{devd3dtracker}
%dir %{_includedir}/d3dadapter
%{_includedir}/d3dadapter/*
%{_libdir}/d3d/d3dadapter9.so
%{_libdir}/pkgconfig/d3d.pc

#----------------------------------------------------------------------------

%if %{with osmesa}
%define osmesamajor 8
%define libosmesa %mklibname osmesa %{osmesamajor}

%package -n %{libosmesa}
Summary:	Mesa offscreen rendering libraries
Group:		System/Libraries

%description -n %{libosmesa}
Mesa is an OpenGL compatible 3D graphics library: Mesa
off-screen rendering library.

%files -n %{libosmesa}
%{_libdir}/libOSMesa.so.%{osmesamajor}*
%endif

#----------------------------------------------------------------------------

%if %{with osmesa}
%define devosmesa %mklibname osmesa -d

%package -n %{devosmesa}
Summary:	Mesa offscreen rendering development package
Group:		Development/C
Requires:	%{libosmesa} = %{EVRD}

%description -n %{devosmesa}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the Mesa off-screen rendering development files.

%files -n %{devosmesa}
%dir %{_includedir}/GL
%{_includedir}/GL/osmesa.h
%{_libdir}/libOSMesa.so
%{_libdir}/pkgconfig/osmesa.pc
%endif

#----------------------------------------------------------------------------

%if %{with wayland}
%define waylandeglmajor 1
%define libwaylandegl %mklibname wayland-egl %{waylandeglmajor}

%package -n %{libwaylandegl}
Summary:	Files for Mesa (Wayland EGL libs)
Group:		System/Libraries

%description -n %{libwaylandegl}
Mesa is an OpenGL compatible 3D graphics library:
Wayland EGL platform parts.

%files -n %{libwaylandegl}
%{_libdir}/libwayland-egl.so.%{waylandeglmajor}*
%endif

#----------------------------------------------------------------------------

%if %{with wayland}
%define devwaylandegl %mklibname wayland-egl -d

%package -n %{devwaylandegl}
Summary:	Development files for Mesa (Wayland EGL libs)
Group:		Development/C
Requires:	%{libwaylandegl} = %{EVRD}

%description -n %{devwaylandegl}
Mesa is an OpenGL compatible 3D graphics library. This
package contains the headers needed to compile Mesa programs based on Wayland
EGL platform.

%files -n %{devwaylandegl}
%{_libdir}/libwayland-egl.so
%{_libdir}/pkgconfig/wayland-egl.pc
%endif

#----------------------------------------------------------------------------

%if %{with vulkan}

%define vlkdrivers %mklibname vulkan-drivers
%define devvlkdrivers %mklibname vulkan-drivers -d

%package -n	%{vlkdrivers}
Summary:        Mesa Vulkan drivers
Requires:       vulkan
Provides:	mesa-vulkan-drivers = %{EVRD}

%description -n	%{vlkdrivers}
The drivers with support for the Vulkan API.

%files -n	%{vlkdrivers}
%{_libdir}/libvulkan_intel.so
%{_libdir}/libvulkan_radeon.so
%{_datadir}/vulkan/icd.d/intel_icd*.json
%{_datadir}/vulkan/icd.d/radeon_icd*.json

#----------------------------------------------------------------------------

%package -n	%{devvlkdrivers}
Summary:        Mesa Vulkan development files
Requires:       %{vlkdrivers} = %{EVRD}

Requires:       vulkan-devel
Provides:	mesa-vulkan-devel = %{EVRD}

%description -n	%{devvlkdrivers}
Mesa headers for development with the Vulkan API.

%files -n %{devvlkdrivers}
%{_includedir}/vulkan/
%endif

#----------------------------------------------------------------------------

%package common-devel
Summary:	Meta package for Mesa development files
Group:		Development/C
Requires:	%{devgl} = %{EVRD}
Requires:	%{devxatracker} = %{EVRD}
Requires:	%{devegl} = %{EVRD}
Requires:	%{devglapi} = %{EVRD}
Requires:	%{devgbm} = %{EVRD}
Requires:	%{devglesv1} = %{EVRD}
Requires:	%{devglesv2} = %{EVRD}
Requires:	%{devglesv3} = %{EVRD}
%if %{with wayland}
Requires:	%{devwaylandegl} = %{EVRD}
%endif
%if %{with osmesa}
Requires:	%{devosmesa} = %{EVRD}
%endif
%if %{with nine}
Requires:	%{devd3dtracker} = %{EVRD}
%endif
%if %{with vulkan}
Requires:	%{devvlkdrivers} = %{EVRD}
%endif
Requires:	pkgconfig(glu)
Requires:	pkgconfig(glut)

%description common-devel
Mesa common meta package for development files.

%files common-devel
# This is the meta package for development

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
# Always (re)generate auto* generated files using our autotools and libtoolize
autoreconf -vfi

%configure2_5x \
	--disable-asm \
%if %{with selinux}
	--enable-selinux \
%endif
	--enable-dri \
	--enable-vdpau \
%if %{with va}
	--enable-va \
%else
	--disable-va \
%endif
	--disable-omx \
%if %{with opencl}
	--enable-opencl \
	TODO: if OpenCL support in Mesa is needed, it needs more work
%else
	--disable-opencl \
%endif
%if %{with osmesa}
%if %{with osmesa_gallium}
	--enable-gallium-osmesa \
%else
	--enable-osmesa \
%endif
%endif
	--with-dri-driverdir=%{_libdir}/dri \
	--with-dri-drivers="%{dri_drivers}" \
%if %{with vmware}
	--enable-xa \
%endif
%if %{with nine}
	--enable-nine \
%else
	--disable-nine \
%endif
	--with-gallium-drivers="%{gallium_drivers}" \
	--enable-gallium-llvm \
	--enable-egl \
	--enable-gbm \
	--enable-gles1 \
	--enable-gles2 \
	--enable-shared-glapi \
%if %{with wayland}
	--with-egl-platforms=x11,drm,surfaceless,wayland \
%else
	--with-egl-platforms=x11,drm,surfaceless \
%endif
	--enable-glx-tls \
	--enable-texture-float=yes \
%if %{with vulkan}
	%{vulkan_drivers} \
	--with-sha1=libnettle \
%endif
	--enable-xvmc

%make

%install
%makeinstall_std

# FIXME: strip will likely break the hardlink
# (blino) hardlink libGL files in %%{_libdir}/mesa
# to prevent proprietary driver installers from removing them
mkdir -p %{buildroot}%{_libdir}/mesa
pushd %{buildroot}%{_libdir}/mesa
for l in ../libGL.so.*; do cp -a $l .; done
popd

%ifarch %{x86_64}
mkdir -p %{buildroot}%{_prefix}/lib/dri
%endif

rm -f %{buildroot}/%{_includedir}/GL/glut.h
rm -f %{buildroot}/%{_includedir}/GL/glutf90.h

%if %{with vulkan}
# These headers are included into vulkan-devel already.
rm -f %{buildroot}/%{_includedir}/vulkan/vk_platform.h
rm -f %{buildroot}/%{_includedir}/vulkan/vulkan.h
%endif

# .so files are not needed by vdpau: there is not devel package
rm -f %{buildroot}%{_libdir}/vdpau/libvdpau_*.so

# Use swrastg if built (Anssi 12/2011)
[ -e %{buildroot}%{_libdir}/dri/swrastg_dri.so ] && mv %{buildroot}%{_libdir}/dri/swrast{g,}_dri.so

%changelog

* Tue May 30 2017 tremod <negry.m@yandex.ru> 13.0.6-1
- (2301b91) Update to 13.0.6

* Sun Dec 11 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 13.0.2-4
- (50b1f7e) Use libnettle rather than libcrypto/openssl for SHA1
- (50b1f7e) Reason:
- (50b1f7e) https://github.com/ValveSoftware/steam-for-linux/issues/4504

* Sun Dec 11 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 13.0.2-3
- (67c080b) Release up

* Sun Dec 11 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 13.0.2-1
- (1152156) Do not build 'ilo' driver
- (1152156) It seems, 'ilo' is no longer maintained upstream and will be removed
- (1152156) from Mesa. Its developers probably favour Vulkan-based stuff instead.
- (1152156) Details from a developer:
- (1152156) https://lists.freedesktop.org/archives/mesa-dev/2016-December/137795.html
- (Evgenii Shatokhin: eaad6d0) Enabled experimental support for Vulkan
- (Evgenii Shatokhin: 591cbcb) Added a fix for a long-standing bug in Mesa
- (Evgenii Shatokhin: 591cbcb) https://bugs.freedesktop.org/show_bug.cgi?id=93649
- (Evgenii Shatokhin: 591cbcb) http://www.phoronix.com/scan.php?page=news_item&px=9-Year-Mesa-Bug-RadeonSI
- (Evgenii Shatokhin: 1f23b27) Updated to version 13.0.2

* Tue Nov 15 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 13.0.1-1
- (573aad3) Updated to v.13.0.1, w/o Vulkan support for now

* Fri Nov 11 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 12.0.4-1
- (abbe129) wglext.h and mesa_glinterop.h are no longer provided
- (Evgenii Shatokhin: f33521f) Updated to version 12.0.4

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 12.0.3-3
- (71a49d3) MassBuild#1169: Increase release tag

* Mon Sep 19 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 12.0.3-2
- (589b0af) Release up for a rebuild with new libdrm

* Fri Sep 16 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 12.0.3-1
- (62b09f6) Updated to version 12.0.3

* Sun Sep 11 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 12.0.2-2
- (c1a93df) Release up for a rebuild

* Tue Sep 06 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 12.0.2-1
- (b6cbd54) Updated to version 12.0.2

* Sun Aug 28 2016 Alzim <alzim@bk.ru> 12.0.1-1
- (56b854f) Updated to 12.0.1

* Mon May 16 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.2.2-1
- (e01e600) Updated to version 11.2.2
- (e01e600) As a part of this process, bumped the required libdrm version to 2.4.68.

* Sun Jan 17 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.1.1-1
- (fc18702) Updated to version 11.1.1
- (fc18702) New features in Mesa 11.1.x:
- (fc18702) http://www.phoronix.com/scan.php?page=news_item&px=Mesa-11.1-Features

* Sun Dec 13 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.0.6-5
- (f40d0ae) Revisited the options to make them closer to what Fedora uses
- (f40d0ae) * Added --disable-asm, just in case.
- (f40d0ae) * Removed '--enable-dri3' - let the build system decide whether to
- (f40d0ae) enable it.
- (f40d0ae) * Added swrast to the list of DRI drivers.

* Sat Dec 12 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.0.6-4
- (aec6227) Release up for a rebuild

* Thu Dec 03 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.0.6-3
- (3fe485b) Release up

* Wed Dec 02 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.0.6-2
- (f60dafe) Fix BR: a new libdrm is required
- (Evgenii Shatokhin: a24af41) Do not enable the experimental r600 llvm compiler
- (Evgenii Shatokhin: a24af41) This is not supported by LLVM 3.7 and is generally not recommended, it
- (Evgenii Shatokhin: a24af41) seems.

* Tue Dec 01 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 11.0.6-1
- (3249b50) Updated to version 11.0.6
- (3249b50) Major changes:
- (3249b50) http://www.mesa3d.org/relnotes/11.0.0.html
- (3249b50) Additionally:
- (3249b50) * "ilo" Mesa Gallium driver is now also enabled
- (3249b50) (http://lunarg.com/ilo-mesa-gallium-driver/)
- (3249b50) * Gallium-based OSMesa is now built

* Fri Sep 25 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 10.5.3-6
- (1e7fbd3) Release up

* Mon May 18 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 10.5.3-5
- (7e67719) BuildList#2501564: Increase release tag

* Fri May 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 10.5.3-4
- (71f1ba0) BuildList#2501564: Increase release tag

* Fri May 15 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 10.5.3-3
- (503a5d9) BuildList#2501564: Increase release tag

* Fri May 15 2015 Dmitry Fedorov <d.fedorov@ntcit-rosa.ru> 10.5.3-2
- (2c67b1d) BuildList#2501564: Increase release tag

* Tue Apr 14 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 10.5.3-1
- (c2d9436) Updated to version 10.5.3; enabled Direct3D9 state tracker
- (c2d9436) Major changes in Mesa 10.5, from the release announcement:
- (c2d9436) - The new IR - NIR. A flat, typeless IR, supporting SSA.
- (c2d9436) - GLX/DRI3 fixes and improvements.
- (c2d9436) - A lot of preparation work for GL_ARB_direct_state_access.
- (c2d9436) - Piglit and drawElements Quality Program (dEQP) fixes.
- (c2d9436) - Initial support for the new Intel Skylake GPUs and Adreno 4xx GPUs.
- (c2d9436) - Support for GL_EXT_polygon_offset_clamp on i965, nv50, nvc0, r600,
- (c2d9436) radeonsi, llvmpipe
- (c2d9436) Besides that, Direct3D9 state tracker ("nine") has been enabled.
- (c2d9436) It is now provided by lib(64)d3dtracker1 package, the development
- (c2d9436) files are in lib(64)d3dtracker-devel.


